package com.demez.ui;



import com.demez.Client;

import net.minecraft.client.gui.GuiScreen;
import com.demez.module.Module;

public class HUDConfigScreen extends GuiScreen {

	private static final int SNAP_DISTANCE = 10;
	private static final int MARGIN = 10;
	private static final int OUTLINE_COLOR = 0xFF0000FF; // Blue color
	private static final int MOD_OUTLINE_COLOR = 0xFFFF0000; // Red color

	private Module draggingMod;
	private int dragOffsetX;
	private int dragOffsetY;

	@Override
	public void drawScreen(int mouseX, int mouseY, float partialTicks) {
		this.drawDefaultBackground();

		for (Module m : Client.moduleManager.getModules())
		{
			m.renderDummy(mouseX, mouseY);
		}

		super.drawScreen(mouseX, mouseY, partialTicks);
	}

	

	
}
